Autologin
curl --request GET \
--url https://api.{your-broker}.slate-labs.com/auth/autologinimport requests
url = "https://api.{your-broker}.slate-labs.com/auth/autologin"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.{your-broker}.slate-labs.com/auth/autologin', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"access_token": "<string>",
"customer": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email": "<string>",
"phone": "<string>",
"phone_normalized": "<string>",
"country": "<string>",
"owner_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sales_status_id": 123,
"kyc_status_id": 123,
"affiliate_id": "<string>",
"campaign_id": "<string>",
"funnel": "<string>",
"affiliate_lead_id": "<string>",
"manager_counter": 123,
"reg_time": "2023-11-07T05:31:56Z",
"last_login_at": "2023-11-07T05:31:56Z",
"last_activity_at": "2023-11-07T05:31:56Z",
"last_trade_at": "2023-11-07T05:31:56Z",
"ftd_at": "2023-11-07T05:31:56Z",
"is_deposited": true,
"is_active": true,
"first_name": "<string>",
"last_name": "<string>",
"full_name": "",
"ftd_sales_agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"owner": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"first_name": "<string>",
"last_name": "<string>",
"full_name": "<string>",
"role_id": 123,
"role_name": "<string>"
},
"last_deposit_at": "2023-11-07T05:31:56Z",
"retention_status": "<string>",
"risk_classification": "normal",
"compliance_status": "<string>",
"phone_country": "<string>",
"kyc_country": "<string>",
"kyc_provider": "<string>",
"kyc_completed_at": "2023-11-07T05:31:56Z",
"reg_ip": "<string>",
"registration_source": "<string>",
"force_password_change": false,
"trading_accounts": []
},
"token_type": "bearer"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authentication
Autologin
Redeem a one-time autologin token issued at customer registration. Atomically validates and burns the token (single use). Issues a full customer JWT identical to POST /customers/login.
GET
/
auth
/
autologin
Autologin
⌘I